This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 243981 - rpm -qa | grep -i <abc> fails with db error
rpm -qa | grep -i <abc> fails with db error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
3.0
i386 Linux
low Severity high
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 03:27 EDT by Som
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:36:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Som 2007-06-13 03:27:35 EDT
Description of problem:
rpm -qa | grep -i <abc> fails with db error [ abc is the name of the rpm ]

[root@vasteb0101r01ruls02 primary]# rpm -qa | grep -i <abc>
rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages index using db3 - Resource temporarily unavailable (11)
error: cannot open Packages database in /var/lib/rpm
[root@vasteb0101r01ruls02 primary]#

We are facing this problem in few of our blades.

As a workaround you can do the following steps:
rm -f /var/lib/rpm/__db*
rpm -vv --rebuilddb

This workaround is good but is there a permanent fix for this as we this is
happening quite a few number of blades.


Version-Release number of selected component (if applicable):
rpm-4.2.3-13

How reproducible:
RPM built on 3.4 have few problems while querying/installing rpms on some of the
blades.


Steps to Reproduce:
1. Create an rpm
2. Install it on the blade
3. Query for the rpm will result in this dberror problem
  
Actual results:
[root@vasteb0101r01ruls02 primary]# rpm -qa | grep -i <abc>
rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages index using db3 - Resource temporarily unavailable (11)
error: cannot open Packages database in /var/lib/rpm
[root@vasteb0101r01ruls02 primary]#


Expected results:
Should list the <abc> component that is being installed.


Additional info:
Comment 1 Jeff Johnson 2007-06-15 03:27:28 EDT
Upgrading Berkeley DB within rpm fixes this problem.

Comment 2 Som 2007-06-15 03:44:53 EDT
(In reply to comment #1)
> Upgrading Berkeley DB within rpm fixes this problem.
How do we do this? Let us know.
Comment 3 Som 2007-06-15 04:35:05 EDT
(In reply to comment #1)
> Upgrading Berkeley DB within rpm fixes this problem.
Do you mean to say to install Berkeley DB 4.3.29 
http://www.oracle.com/technology/products/berkeley-
db/db/update/4.3.29/if.4.3.29.html
Would this solve the problem.

Comment 4 Jeff Johnson 2007-07-10 18:38:32 EDT
Yes. The "Resource temporarily unavailable." is/was) a known problem with an older version of Berkeley DB 
used in rpm-4.2.3.
Comment 5 RHEL Product and Program Management 2007-10-19 14:36:20 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.